Package org.drinkless.tdlib

# Class TdApi.UploadStickerFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.File>
org.drinkless.tdlib.TdApi.UploadStickerFile

Enclosing class:
  `TdApi`

public static class TdApi.UploadStickerFile extends TdApi.Function<TdApi.File>
Uploads a file with a sticker; returns the uploaded file.

Returns `File`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `sticker`
  File file to upload; must fit in a 512x512 square.
  `TdApi.StickerFormat`
  `stickerFormat`
  Sticker format.
  `long`
  `userId`
  Sticker file owner; ignored for regular users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UploadStickerFile()`
  Default constructor for a function, which uploads a file with a sticker; returns the uploaded file.
  `UploadStickerFile(long userId, TdApi.StickerFormat stickerFormat, TdApi.InputFile sticker)`
  Creates a function, which uploads a file with a sticker; returns the uploaded file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Sticker file owner; ignored for regular users.

  - ### stickerFormat

    public TdApi.StickerFormat stickerFormat
    Sticker format.

  - ### sticker

    public TdApi.InputFile sticker
    File file to upload; must fit in a 512x512 square. For WEBP stickers the file must be in WEBP or PNG format, which will be converted to WEBP server-side. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UploadStickerFile

    public UploadStickerFile()
    Default constructor for a function, which uploads a file with a sticker; returns the uploaded file.

    Returns `File`

  - ### UploadStickerFile

    public UploadStickerFile(long userId, TdApi.StickerFormat stickerFormat, TdApi.InputFile sticker)
    Creates a function, which uploads a file with a sticker; returns the uploaded file.

    Returns `File`

    Parameters:
      `userId` - Sticker file owner; ignored for regular users.
      `stickerFormat` - Sticker format.
      `sticker` - File file to upload; must fit in a 512x512 square. For WEBP stickers the file must be in WEBP or PNG format, which will be converted to WEBP server-side. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.File>`
    Returns:
      this.CONSTRUCTOR